%define BETA beta1
Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>
Summary:   	OpenSLP provides a framework to allow networking applications to discover the existence, location, and configuration of networked services.
Name:      	openslp
Version:   	2.0
Release:   	1
Provides:  	openslp	
License: 	GNU/GPL
URL:		http://www.openslp.org
Group:     	System/Configuration/Networking  
Source0: 	openslp-%{version}%{?BETA:.%{BETA}}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: openssl-devel

%description
OpenSLP provides a framework to allow networking applications to
discover the existence, location, and configuration of networked services.

%package 	devel
Group:		System/Configuration/Networking  
Summary:	openslp development headers
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n openslp-%{version}%{?BETA:.%{BETA}}

%build
./configure --prefix=%{_prefix} --mandir=%{_mandir} --sysconfdir=%{_sysconfdir} -disable-debug --enable-async-api --enable-slpv2-security
make

%install
rm -rf $RPM_BUILD_ROOT 
make DESTDIR=$RPM_BUILD_ROOT install-strip

%files
%defattr(-,root,root)
%{_sysconfdir}/slp.conf
%{_sysconfdir}/slp.reg
%{_sysconfdir}/slp.spi
%{_bindir}/slptool
%{_libdir}/libslp.so.*
%{_sbindir}/slpd


%files devel
%defattr(-,root,root)
%{_includedir}/slp.h
%{_libdir}/libslp.a
%{_libdir}/libslp.la
%{_libdir}/libslp.so


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Feb 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.0-1
- Version update
- beta1
* Sun Jul 10 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.2.1-3
- rebuilt against openssl 0.9.8
* Mon Jun 13 2005 Christian Metzen <metzench@ccux-linux.de> 1.2.1-2
- Cleaned out specfile, split devel Package
* Sun Jun 12 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.2.1-1
- Version Update to 1.2.1 / rebuilt specfile
* Sat Apr 17 2004 Christian Metzen <metzench@ccux-linux.de> 1.0.11-1
- Initial Release
